Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Synch_Oneway_Invocation Class Reference

All the action for a synchronous oneway invocation happen here. More...

`#include <Synch_Invocation.h>`

Inheritance diagram for TAO::Synch_Oneway_Invocation:

[legend]
Collaboration diagram for TAO::Synch_Oneway_Invocation:

[legend]
List of all members.

## Public Methods
| Synch_Oneway_Invocation (CORBA::Object_ptr otarget, Profile_Transport_Resolver &resolver, TAO_Operation_Details &detail)
| Constructor used by TAO::Invocation_Adapter.
Invocation_Status | remote_oneway (ACE_Time_Value *max_wait_time ACE_ENV_ARG_DECL) throw (CORBA::Exception)

## Detailed Description

All the action for a synchronous oneway invocation happen here.

This class inherits from twoway invocation for the following reasons

- We deal with oneway invocation in more or less the same way as two but for waiting for the reply

- For some SYNC_SCOPE policies namely SYNC_WITH_TARGET and SYNC_WITH_SERVER the invocation classes have to treat the invocation as a twoway invocation (more or less)

## Constructor & Destructor Documentation

TAO::Synch_Oneway_Invocation::Synch_Oneway_Invocation | ( | CORBA::Object_ptr | otarget,
|  | Profile_Transport_Resolver & | resolver,
|  | TAO_Operation_Details & | detail
| ) |

  | Constructor used by TAO::Invocation_Adapter. Parameters:
  otarget, The | original target on which this invocation was started. This is there to be passed up to its parent class.
  resolver, The | profile and transport holder.
  op, operation | details of the invocation on the target
  response_expected, flag | to indicate whether the operation encapsulated by op returns a response or not.

## Member Function Documentation

Invocation_Status TAO::Synch_Oneway_Invocation::remote_oneway | ( | ACE_Time_Value *max_wait_time | ACE_ENV_ARG_DECL | ) | throw (CORBA::Exception)

| Method used by the adapter to kickstart an oneway invocation to the remote object.

The documentation for this class was generated from the following files:

- Synch_Invocation.h
- Synch_Invocation.cpp